#ifndef RFWCOREGRAPHICS_H
#define RFWCOREGRAPHICS_H

//--------------------------------------------------------------------------------------
// File: RFWCoreGraphics.h
// Author: Peter Cerno <petercerno@gmail.com>
//
// Robot Framework core graphics header
// Graphics interface based on Enki
//
//--------------------------------------------------------------------------------------

namespace RFW
{
	class IEnkiGraphics;
}

namespace RFW
{
	//--------------------------------------------------------------------------------------
	// IEnkiGraphics interface
	//--------------------------------------------------------------------------------------
	class IEnkiGraphics
	{
	protected:
		IEnkiGraphics(const IEnkiGraphics &);
		const IEnkiGraphics & operator=(const IEnkiGraphics &);
	public:
		IEnkiGraphics() { }
		virtual ~IEnkiGraphics() { }

		virtual void Render() = 0;
	};
}

#endif // RFWCOREGRAPHICS_H