function [net, mean, std, PCAmatrix] = feedforward(X, Y)
% Feed forward neural network mapping X to Y

[m n] = size(Y);

[Xn mean std] = prestd(X);
[Xtrans, PCAmatrix] = prepca(Xn, 0.02);

net = newff(minmax(Xtrans), [2 m], {'logsig', 'logsig'});
net.trainParam.epochs = 250;
net.trainParam.min_grad = 1e-12;
net = train(net, Xtrans, Y);
end